Get Marketplace Vendors Kpis
curl --request GET \
--url https://api.topsort.com/public/v1/reporting-service/marketplace/vendors-kpis \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/reporting-service/marketplace/vendors-kpis"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/reporting-service/marketplace/vendors-kpis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.topsort.com/public/v1/reporting-service/marketplace/vendors-kpis",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.topsort.com/public/v1/reporting-service/marketplace/vendors-kpis"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.topsort.com/public/v1/reporting-service/marketplace/vendors-kpis")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.topsort.com/public/v1/reporting-service/marketplace/vendors-kpis")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"hasMore": true,
"vendorKpis": [
{
"adSpend": 1,
"cpc": 123,
"ctr": 123,
"conversionRate": 123,
"impressions": 1,
"chargedImpressions": 1,
"clicks": 1,
"chargedClicks": 1,
"purchaseCount": 1,
"purchaseRevenue": 1,
"roas": 123,
"id": "<string>",
"cpm": 0,
"acos": 0,
"vendorName": "<string>"
}
],
"nextPage": "SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Reporting API
Get Marketplace Vendors Kpis
Get KPIs for vendors in a marketplace using external vendor IDs.
GET
/
public
/
v1
/
reporting-service
/
marketplace
/
vendors-kpis
Get Marketplace Vendors Kpis
curl --request GET \
--url https://api.topsort.com/public/v1/reporting-service/marketplace/vendors-kpis \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/reporting-service/marketplace/vendors-kpis"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/reporting-service/marketplace/vendors-kpis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.topsort.com/public/v1/reporting-service/marketplace/vendors-kpis",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.topsort.com/public/v1/reporting-service/marketplace/vendors-kpis"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.topsort.com/public/v1/reporting-service/marketplace/vendors-kpis")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.topsort.com/public/v1/reporting-service/marketplace/vendors-kpis")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"hasMore": true,
"vendorKpis": [
{
"adSpend": 1,
"cpc": 123,
"ctr": 123,
"conversionRate": 123,
"impressions": 1,
"chargedImpressions": 1,
"clicks": 1,
"chargedClicks": 1,
"purchaseCount": 1,
"purchaseRevenue": 1,
"roas": 123,
"id": "<string>",
"cpm": 0,
"acos": 0,
"vendorName": "<string>"
}
],
"nextPage": "SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorizações
Parâmetros de consulta
Order by field.
The dimension to order by.
Opções disponíveis:
impressions, charged_impressions, clicks, charged_clicks, purchase_count, purchase_revenue, ad_spend, cpc, cpm, ctr, conversion_rate, roas, acos, vendor_id, vendor_name, timegroup, campaign_name, campaign_id, status, ad_format, active_campaigns, wallet_name, days_until_topup, balance, quantity Resposta
Successful Response
Response for marketplace vendors KPIs using external IDs.
Esta página foi útil?